Current thinking suggests diabetes has variable causes, is inevitably progressive, and causes hyperglycaemia. **Type 1** is an autoimmune disease causing β-cell (source of insulin) death, and **type 2** is an insulin activity deficiency (insulin resistance)<sup>[1](http://linkinghub.elsevier.com/retrieve/pii/S1538544212001149),[2](http://linkinghub.elsevier.com/retrieve/pii/S0140673613605917),[3](http://link.springer.com/10.1007/s00125-011-2204-7),[4](http://linkinghub.elsevier.com/retrieve/pii/S0026049515002565)</sup>.  I propose that an excessive carbohydrate intake, inducing raised blood glucose (hyperglycaemia), is instead the starting point for both types. This modifies the accelerator hypothesis<sup>[5](http://www.nature.com/doifinder/10.1038/ijo.2009.97)</sup>, replacing insulin resistance with hyperglycemia.  

Autoantibodies (probably derived from chronic raised demand for insulin, which is itself a significant antigen<sup>[6](http://perspectivesinmedicine.cshlp.org/lookup/doi/10.1101/cshperspect.a007658)</sup>) are only weakly predictive for diabetes<sup>[7](http://linkinghub.elsevier.com/retrieve/pii/S1074761310001251)</sup>. Hyperglycaemia directly reduces insulin production<sup>[8](http://www.nature.com/doifinder/10.1038/ncomms5639)</sup> and also induces β-cell death<sup>[9](http://diabetes.diabetesjournals.org/cgi/doi/10.2337/diabetes.50.6.1290)</sup>, suggesting other routes to loss of insulin production (type 1).

Cells become insulin resistant (unable to take up glucose) with high serum lipids (fats). These lipids are associated with high-calorie/high-carbohydrate diets<sup>[4](http://linkinghub.elsevier.com/retrieve/pii/S0026049515002565),[10](http://ajcn.nutrition.org/content/48/2/240.long),[11](http://www.jlr.org/content/39/6/1280.short)</sup>. Insulin resistance has been demonstrated to be reversible with low-carbohydrate and weight loss diets<sup>[3](http://link.springer.com/10.1007/s00125-011-2204-7),[12](http://www.ncbi.nlm.nih.gov/pmc/articles/PMC1188071/),[13](http://diabetes.diabetesjournals.org/cgi/doi/10.2337/diabetes.54.3.603)</sup>.  

Excessive carbohydrate (starch and sugar) intake, more than can be metabolised or stored as glycogen or lipids, leaves the excess glucose in the blood. This hyperglycaemia (initiated by intermittent or chronic excess carbohydrate) actually causes diabetes through a cascade of events leading to insulin deficiency (type 1) or impairment (type 2). 
